% Computer vision tools.
% Version january 2007
%
% Diverse rutiner
%   ccd2matlab        - Hmta bilder frn robotkameran.
%     ccd2matlabf      
%   hough             - Houghtransform.
%   readpgm           - Lsa in en pgm bild
%   pgmlas            - Lsa in en pgm bild med korrektion fr strig
%                       kamera.
%   savepgm           - Skriva en pgm bild
%   scale             - Skala om bilder
%   show              - Visa en bild i ett fnster
%   showsc            - Visa en skalad bild i ett fnster
%  
% Rkna p bilder och objekt
%   xy2alfap.m        - Rkna ut djup och projektionsmatris frn object
%                       och bild.
%    depthfromxandy.m - hjlprutiner fr xy2alfap metod 1.
%    felavPenpunkt.m  - hjlprutiner fr xy2alfap metod 2.
%    felavPiter.m                   -- " --
%    skattaettP.m                   -- " --
%   depth2proj.m      - Rkna ut djup om projektionsmatrisen r knd
%   proj2depth.m      - Rkna ut projektionsmatris om djupet r knt
%   hittabilinjar.m   - Rkna ut essentiell/fundamental matris.
%
% Konstruera bilder och matriser.
%   simulerabilder.m  - Skapa bilder av punktkonfiguration.
%   essentialm.m      - Skapa en essentiel matris frn t och R.
%   invessentialm.m   - Faktorisera essentiell matris i t och R.
%   fundamentalm.m    - Skapa en fundamental matris frn R, t, A_1 och A_2.
%   eulerian.m        - Skapa en rotationsmatris enligt eulerska vinklar.
%   randrot.m         - Skapa en slumpmssig rotationsmatris.
%
% Allmnna Hjlprutiner
%   pflat.m           - Normalisera koordinater (Z=1)
%   psphere.m         - Normalisera koordinater (enhetssfren)
%   rnorm.m           -
%   shape.m           - Rkna ut en bas fr shape
%   shape2.m          - Rkna ut en bas fr shapes ortogonalrum.
%   rita2.m           - Rita tvdimensionella bilder.
%   rita3.m           - Rita tredimensionella bilder.
%   fyllmedettor.m
%   tabortettor.m
%
% Rutiner fr att hantera listor.
%
%   nyml.m            - Skapa en ny matrislista (ml)
%   laggtillml.m      - Lgg till en matris, eller lagg samman listor.
%   plockaurml.m      - Plocka ur matriser ur matrislista.
%
% Konventioner
%   proxnotation.m
%   konventioner.txt
%   

% Bildgruppen vid Institutionen fr matematik LTH, Sweden
