
% CCD2MATLAB	Control and grab images from a ccd camera using
%             	the SunVideo card. All actions and parameters are
%		controled with a graphical user interface (GUI).
%		The colormap and the image of the present image
%		is in the global variables "im" and "map". 
%
%		The image travels like this:
%		CCD camera -> SunVideo card -> JPEG format ->
%		GIF format -> Matlab -> Matlab plot window
%
%		If you set
%			fake_run = 1;
%		you get the demo version.
%
% Under development...
% 94-03-30 Peter N


% This script makes the image and the colormap global to the base workspace,
% then calls the main function "ccd2matlabf".
% 94-03-30 Peter N

global im map
if exist('fake_run')
	if fake_run
		ccd2matlabf('fake')
	else
		ccd2matlabf('new')
	end
else
	ccd2matlabf('new')
end





