function [f,gf,jf]=felavPenpunkt(X,Y,P);
% [f,gf,jf]=felavPenpunkt(X,Y,P) - Hjlprutin till xytoalfap.
% rknar ut felet, gradienten och hessianen fr funktionen
% f = sum( (Y - pflat(P*X) ).^2 ), m a p frndringar i P.

Y0 = pflat(P*X);
Yfel= Y-Y0;
f = sum(Yfel.^2);
Yh = P*X;
Xl = X(1:3,1);

dy1dp=[ X/Yh(3,1); zeros(4,1); -Xl*Yh(1,1)/(Yh(3,1)^2) ];
dy2dp=[ zeros(4,1); X/Yh(3,1); -Xl*Yh(2,1)/(Yh(3,1)^2) ];
dy1dpdp = dy1dp*dy1dp';
dy2dpdp = dy2dp*dy2dp';
dy1dp2 = zeros(11,11);
dy1dp2(1:4,9:11) = -X*Xl'/(Yh(3,1)^2);
dy1dp2(9:11,1:4) = -Xl*X'/(Yh(3,1)^2);
dy1dp2(9:11,9:11)= 2*Xl*Xl'*Yh(1,1)/(Yh(3,1)^3);
dy2dp2 = zeros(11,11);
dy2dp2(5:8,9:11) = -X*Xl'/(Yh(3,1)^2);
dy2dp2(9:11,5:8) = -Xl*X'/(Yh(3,1)^2);
dy2dp2(9:11,9:11)= 2*Xl*Xl'*Yh(2,1)/(Yh(3,1)^3);

gf = -2*( Yfel(1,1)*dy1dp + Yfel(2,1)*dy2dp );
jf = 2*( dy1dpdp + dy2dpdp) - 2*( Yfel(1,1)*dy1dp2 + Yfel(2,1)*dy2dp2);

