function P=hittaP(b1,b2);
% P=hittaP(b1,b2) - rknar ut den projektiva transformation
% som tar b1 till b2.

M1=[];M2=[];
[m,n]=size(b1);
for i=1:m,
 M1=[M1; zeros(n,m*(i-1)) b1' zeros(n,m*(m-i))];
 M2=[M2; diag(b2(i,:))];
end;
M=[M1 (-M2)];
[Q,R]=qr(M);
A=R(1:(n+m*m-1),1:(n+m*m-1));
b=R(1:(n+m*m-1),n+m*m);
x=[inv(A)*b;-1];
P=zeros(m,m);
P(:)=x(1:m*m);
P=P';

%[m,n]=size(b1);
%M1=[b1' zeros(n,6);zeros(n,3) b1' zeros(n,3); zeros(n,6) b1'];
%M2=[diag(b2(1,:));diag(b2(2,:));diag(b2(3,:))];
%M=[M1 (-M2)];
%[Q,R]=qr(M);
%A=R(1:(n+8),1:(n+8));
%b=R(1:(n+8),n+9);
%x=[inv(A)*b;-1];
%P=[x(1:3)';x(4:6)';x(7:9)'];
