n=10;                            % at least 7.
% Initial configuration
% 3D point set
x0=[rand(3,n);ones(1,n)];        % Random point set. 
                                 % All points in cube 0-1, 0-1, 0-1.
x1=x0;
% Camera matrice
m10 = rand(3,4);                 % Random camera. Random internal calibration
m11 = rand(3,4);                 % Random camera. Random internal calibration
%m20 =         ;                 % Random calibrated with 
                                 % focus outside the cube.
m30 = [1 0 0 0;0 1 0 0;0 0 1 1]; % Standard calibrated camera
                                 % with focus at (0,0,-1).
m20=[1 0 0 0;0 1 0 1;0 0 1 1];
p1=m10; p1n=p1/norm(p1);
p2=m11; p2n=p2/norm(p2);

% Create Images
[u,s,v]=svd(p1);
o1=v(:,4);                 % Focus of camera in homogeneous coordinates
y1 = pflat(p1*x1);
y1 = y1 + diag([0.0001 0.0001 0])*randn(size(y1));
temp=p1*x1;
d1=temp(3,:);              % Depth with respect to the image plane
d1n=d1/norm(d1);

[u,s,v]=svd(p2);
o2=v(:,4);                 % Focus of camera in homogeneous coordinates
y2 = pflat(p2*x1);
y2=y2 + diag([0.0001 0.0001 0])*randn(size(y2));
temp=p2*x1;
d2=temp(3,:);              % Depth with respect to the image plane
d2n=d2/norm(d2);

qt=d2./d1;
q1=qt/qt(4);

d1c = depthfromxandyI(x1,y1)
d1n
d2c = depthfromxandyI(x1,y2)
d2n

p1c1 = depth2proj(d1n,x1,y1);
p2c1 = depth2proj(d2n,x1,y2);

[p1c2,ok,y1hat]=projfromxandyII(x1,y1);
[p2c2,ok,y2hat]=projfromxandyII(x1,y2);
[p1c1;p1c2;p1n]
[p2c1;p2c2;p2n]
n1=norm(p1c1-p1n)
n2=norm(p1c2-p1n)
n3=norm(y1-pflat(p1c1*x1))
n4=norm(y1-pflat(p1c2*x1))









