load sam_example;

if exist('nbrcones')==0,
    nbrcones=0;
end
if exist('radius')==0,
    radius=2;
end

nbrimages=3;
cc=zeros(4,nbrimages);
for ii=1:nbrimages,
    cc(:,ii)=pflat(null(P{ii}));
end
figure(1);clf;
rita3(cc,'b*');
axis equal;
ax=axis;
hold on;

if nbrcones>0,
    %%%%%CONE
    alfa=[0:0.01:2*pi];
    t=[0:0.1:1];
    alfa=[0:0.2:2*pi];
    alfa(end+1)=0;
    source=[zeros(3,1),[0,0,t(end)]',[t(end)/4,0,t(end)]',[0,t(end)/4,t(end)]'];

    [ag,tg]=meshgrid(alfa,t);
    a=radius*3/20;
    %a=1/20;
    %a=1/40;
    x=a*tg.*cos(ag);
    y=a*tg.*sin(ag);
    z=tg;
    %%%%END CONE
end

for ii=1:nbrimages,
    %draw image planes
    Pii=P{ii};
    
    ll=100;
    sq=2000*[1,1;1,-1;-1,-1;-1,1;1,1;0,0]';
    sq(3,:)=1;
    sq=[sq,u(:,ii)];
    pp=inv(diag([1/mm,1/mm,1])*Pii(:,1:3))*(ll*sq-diag([1/mm,1/mm,1])*Pii(:,4)*ones(1,size(sq,2)));
    rita3(pp(:,1:5),'r-');
    rita3([pp(:,6),cc(1:3,ii)],'r-');
    rita3(pp(:,7),'gx');
    pscene=18*(pp(:,7)-cc(1:3,ii))+cc(1:3,ii);
    
    if ii<=nbrcones,
        %find aff
        vv=(pscene(1:3)-cc(1:3,ii));
        vort=normc(null(vv'));
        dest=[cc(1:3,ii),pscene(1:3),pscene(1:3)+vort(:,1)*norm(vv)/4,pscene(1:3)+vort(:,2)*norm(vv)/4];
        T=findaffine(source,dest);
    
        xx=T*[x(:)';y(:)';z(:)';ones(1,length(x(:)))];
    
        xn=reshape(xx(1,:),size(x,1),size(x,2));
        yn=reshape(xx(2,:),size(x,1),size(x,2));
        zn=reshape(xx(3,:),size(x,1),size(x,2));

        mesh(xn,yn,zn,1*ones(size(z)));
        rita3(pp(:,1:5),'r-');
        rita3([pp(:,6),cc(1:3,ii)],'r-');
    end
    rita3([pscene,cc(1:3,ii)],'b-');
    
end

axis(2*ax);
%axis off;

rotate3d on;










