function Q = P2Q(P1,P2,P3,P4);
% Q=P2Q(P1,P2,P3,P4)
% Calculates the quadrilinear tensor from the camera matrices P1, P2, P3 and P4.

Q=zeros(3,3,3,3);
for i=1:3,
 for j=1:3,
  for k=1:3,
   for l=1:3,
    Q(i,j,k,l)= det([P1(i,:);P2(j,:);P3(k,:);P4(l,:)]);
   end;
  end;
 end,;
end;

