function T = P2F(P1,P2,P3);
% T = P2F(P1,P2,P3);
% Calculates the trilinear tensor from the camera matrices P1, P2 and P3.

T=zeros(3,3,3);
for i=1:3
  for j=1:3
    for k=1:3
      T(i,j,k)=det([P1(1+mod(i,3),:) ; P1(1+mod(i+1,3),:) ; P2(j,:) ; P3(k,:)]);
    end
  end
end


