function a=findaffine(data1,data2);
% a=FINDAFF(data1,data2) - finds affine transformation 'a' using points
% "a(data1) = data2"
% data1, data2 : 3xn matrices

m=size(data1,1);
x = data1;
y = data2;

xmean=mean(x')';
ymean=mean(y')';

dx = x-xmean*ones(1,size(x,2));
dy = y-ymean*ones(1,size(y,2));

A = dy/dx;

a = [A,ymean-A*xmean;zeros(size(xmean))',1];

