function [t,R]=invessentialm(E);
% [t,R]=invessentialm(E) - decompose the essential matrix
% into a unit direction t and a rotation R so that
% E=essentialmatrix(t,r);

[u,s,v]=svd(E);
ez=[0;0;1];
ex=[1;0;0];
u'*E*v*ex
rr=[0 -1 0;1 0 0;0 0 1];
t=u*[0;0;1];
R=u*rr*v';
