function [p,ok,yhat]=projfromxandyII(x,y);
% [P,ok,Yhat]=projfromxandyII(x,y)- calculates
%   P    - a projection matrix
%   ok   - if succesful
%   Yhat - the projected image Yhat=P X
% given 3D object points in homogeneous coordinates x 
% and 2D image points in homogeneous coordinates y
% such that Yhat is as close to y as possible in least squares sense.

[d,ok,singularvalues]=depthfromxandyI(x,y);
pin=depth2proj(d,x,y);
pin=pin/pin(3,4);
p=skattaettP(x,y,pin);
p=p/norm(p);
yhat=pflat(p*x);

