function showsc = showsc(in_image);

% SHOWSC SHOWSC(image-matrix) shows a gray-scale image on the 
%	 screen, with approximately screen pixels equal to image pixels,
%	 (compare with IMAGE, wich normalizes the size of the image).
%
%	 SHOW returns a handel to the window, as given by the FIGURE
%	 command.
%

im_size=size(in_image');
showsc=figure('Position',[(1100-im_size(1))*rand (900-im_size(2))*rand [1.3 1.25].*im_size]);
colormap(gray(128));
imagesc(in_image);
axis('image');
